Subject: bug#56837: 28.1.90; `current-indentation' sometimes returns zero inside invisible text

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jul 2022 16:25:47 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked]
> Date: Sat, 30 Jul 2022 19:49:50 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> A simpler version would be let-binding buffer-invisibility-spec.
> >
> > Really?
> 
> Could you please elaborate? Do I miss something?

Just that I know very well what let-binding does.

The snippet I sent was copy/pasted from the experiments I performed,
it wasn't supposed to be the peak of elegance.

> > These are all display-related, in that their results are supposed to
> > closely reflect what will be shown on display.
> 
> I understand. current-column even express it clearly in the docstring
> (unlike, current-indentation). However, as I tried to explain,
> display-independent versions can be useful during parsing. And not only
> in Org mode.
> 
> If you think otherwise, we will simply implement the required versions
> in Org.

Let's see what Lars thinks about this.